Bug 1465684 - unable to install system-config-kickstart
Summary: unable to install system-config-kickstart
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart
Version: 27
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1532532 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-27 23:37 UTC by Ryan Desfosses
Modified: 2018-11-30 17:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:29:03 UTC


Attachments (Terms of Use)

Description Ryan Desfosses 2017-06-27 23:37:00 UTC
Description of problem:
unable to install system-config-kickstart

Version-Release number of selected component (if applicable):
system-config-kickstart-2.9.3-4.fc26.noarch

How reproducible:


Steps to Reproduce:
1. open terminal
2. sudo dnf install system-config-kickstart
3.

Actual results:
Last metadata expiration check: 1:47:07 ago on Tue 27 Jun 2017 05:09:33 PM EDT.
Error: 
 Problem: conflicting requests
  - nothing provides system-config-date needed by system-config-kickstart-2.9.3-4.fc26.noarch


Expected results:
install system-config-kickstart

Additional info:
$ cat /etc/os-release 
NAME=Fedora
VERSION="26 (Workstation Edition)"
ID=fedora
VERSION_ID=26
PRETTY_NAME="Fedora 26 (Workstation Edition)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:26"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=26
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=26
PRIVACY_POLICY_URL=https://fedoraproject.org/wiki/Legal:PrivacyPolicy
VARIANT="Workstation Edition"
VARIANT_ID=workstation

Comment 1 Eduard Vopicka 2017-12-25 15:04:55 UTC
This problem exists also in up-to-date F27:


[root@localhost ~]# dnf clean expire-cache
Cache was expired
0 files removed
[root@localhost ~]# dnf update
Last metadata expiration check: 0:00:00 ago on Mon 25 Dec 2017 16:02:43 CET.
Dependencies resolved.
Nothing to do.
Complete!
[root@localhost ~]# dnf install system-config-kickstart
Last metadata expiration check: 0:00:16 ago on Mon 25 Dec 2017 16:02:43 CET.
Error: 
 Problem: conflicting requests
  - nothing provides system-config-date needed by system-config-kickstart-2.9.3-5.fc27.noarch
[root@localhost ~]#

Comment 2 Chris Lumens 2018-01-16 17:08:52 UTC
*** Bug 1532532 has been marked as a duplicate of this bug. ***

Comment 3 Andre Robatino 2018-02-08 02:47:20 UTC
Problem exists in Rawhide as well.

Comment 4 Chris Lumens 2018-02-19 18:49:39 UTC
This should be fixed in 2.10.0.

Comment 5 Andre Robatino 2018-02-20 13:47:04 UTC
Confirmed, system-config-kickstart-2.10.0-1.fc28 is installable in Rawhide.

Comment 6 Tim Landscheidt 2018-02-21 00:50:50 UTC
So that it does not get lost: system-config-kickstart is not installable in F26 as well.

Comment 7 Christian Kujau 2018-05-05 01:43:13 UTC
As it's not installable in F27 too, I used the following to install the Rawhide version of system-config-kickstart in an f27 system:

 dnf install fedora-repos-rawhide
 dnf install --nogpg --releasever=rawhide --enablerepo=rawhide system-config-kickstart

(Sorry for the --nogpg, but after going from bug 1473241 to bug 1546065 and bug 1438503 and still not making progress, I gave up and just wanted to move on.)

Comment 8 Ben Cotton 2018-11-27 15:48:48 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Christian Kujau 2018-11-28 21:25:48 UTC
FWIW, system-config-kickstart can be installed in F29 just fine, w/o adding rawhide repositories.

Comment 10 Tim Landscheidt 2018-11-29 10:50:42 UTC
It can be installed in F28 as well.

Comment 11 Ben Cotton 2018-11-30 17:29:03 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.